import { CSSProperties, ReactNode } from 'react';
import { TextField, TextFieldProps } from '../text-field/TextField';
import { AutoSizeType, ResizeType } from './enum';
export interface TextAreaProps extends TextFieldProps {
    cols?: number;
    rows?: number;
    wrap?: string;
    resize?: ResizeType;
    autoSize?: boolean | AutoSizeType;
    onResize?: (width: number, height: number, target: Element | null) => void;
}
export default class TextArea<T extends TextAreaProps> extends TextField<T> {
    static displayName: string;
    static defaultProps: {
        suffixCls: string;
        autoSize: boolean;
        clearButton: boolean;
        multiple: boolean;
        border: boolean;
        valueChangeAction: import("../text-field/enum").ValueChangeAction;
        waitType: import("../core/enum").WaitType;
        readOnly: boolean;
        disabled: boolean;
        noValidate: boolean;
        trim: import("../data-set/enum").FieldTrim;
    };
    static __PRO_TEXTAREA: boolean;
    resized?: boolean;
    autoSizeCalcHeight?: CSSProperties;
    get multiple(): boolean;
    get resize(): ResizeType | undefined;
    get autoSize(): boolean | AutoSizeType | undefined;
    get rows(): number;
    componentDidMount(): void;
    componentDidUpdate(): void;
    getOmitPropsKeys(): string[];
    getOtherProps(): any;
    handleResize(width: number, height: number, target: Element | null): void;
    getSuffix(): ReactNode;
    renderLengthInfoWrapper(): ReactNode;
    handleClearButtonClick(e: any): void;
    handleInnerButtonMouseDown(e: any): void;
    renderWrapper(): ReactNode;
    wrapperInputNode(renderedValue?: ReactNode): ReactNode;
    handleEnterDown(_: any): void;
}
